Opened 10 years ago

Closed 4 years ago

#327 closed defect (wontfix)

Can't start nviz from qgis grass toolbox

Reported by: klo Owned by: osgeo4w-dev@…
Priority: major Component: Package
Version: Keywords: qgis, grass
Cc:

Description

I installed o4w couple of weeks ago. Until now I never tried to run nviz, Trying to run it now, from qgis grass toolbox I get this error:

======================================== Application initialization failed Can't find a usable init.tcl in the following directories:

C:/OSGeo4W/apps/Python27/lib/tcl8.5 C:/OSGeo4W/apps/grass/GRASS-~1.3RC/etc/lib/tcl8.5 C:/OSGeo4W/apps/grass/GRASS-~1.3RC/lib/tcl8.5 C:/OSGeo4W/apps/grass/GRASS-~1.3RC/etc/library C:/OSGeo4W/apps/grass/GRASS-~1.3RC/library C:/OSGeo4W/apps/grass/GRASS-~1.3RC/tcl8.5.2/library C:/OSGeo4W/apps/grass/tcl8.5.2/library

This probably means that Tcl wasn't installed properly. ========================================

File init.tcl can be found as C:\OSGeo4W\apps\grass\grass-6.4.3RC1\bwidget\init.tcl

Before reporting I reinstalled both grass and qgis without solving this problem.

More info can be found in o4w mailing list: http://osgeo-org.1560.n6.nabble.com/Can-t-start-nviz-td5023370.html

Change History (4)

comment:1 by klo, 10 years ago

Is it that no one has an idea about what might cause this problem, or am I expecting too much as a support?

As can be noticed from the linked mailing list thread, I got two replies - one from a user not even familiar with o4w suggesting what my reported message said, and another from a user replying that he doesn't have this problem and suggesting I reinstall packages step by step. Then this ticket... and the problem still remains

in reply to:  1 ; comment:2 by hellik, 10 years ago

Keywords: qgis grass added
Summary: Can't start nvizCan't start nviz from qgis grass toolbox

Replying to klo:

Is it that no one has an idea about what might cause this problem, or am I expecting too much as a support?

osgeo4w is voluntary work...

Trying to run it now, from qgis grass toolbox I get this error

as this seems to be a more qgis-related issue than an osgeo4w one, asking on the qgis userl ML [1] may give some more hints?

C:/OSGeo4W/apps/grass/GRASS-~1.3RC

since yesterday, there is GRASS GIS 6.4.3RC2 [2] available. may you try with the new RC.

[1] http://lists.osgeo.org/mailman/listinfo/qgis-user [2] http://trac.osgeo.org/osgeo4w/wiki/pkg-grass

in reply to:  2 comment:3 by klo, 10 years ago

Replying to hellik:

as this seems to be a more qgis-related issue than an osgeo4w one, asking on the qgis userl ML [1] may give some more hints?

To me this looked like it's some issue in o4w environment, but maybe I should have reported to qgis instead.

since yesterday, there is GRASS GIS 6.4.3RC2 [2] available. may you try with the new RC.

I just tried it and qgis doesn't recognize grass plugin with it. Luckily reverting to grass RC1 is easy, and I get back my partial working grass plugin.

comment:4 by martinl, 4 years ago

Resolution: wontfix
Status: newclosed

Last comment 6 years old. Current GRASS version comes with 3D view integrated into GUI.

Note: See TracTickets for help on using tickets.